Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.appflow.pipeline
Interface PipelineExecutor

public interface PipelineExecutor
extends javax.ejb.EJBObject

The remote interface for the PipelineExecutor.

Method Summary
`PipelineSession` | `executePipeline(java.lang.String namespace, java.lang.String pipelineName, PipelineSession pSession, java.lang.Object requestContext)` Executes the pipeline.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### executePipeline

    public PipelineSession executePipeline(java.lang.String namespace,
                                           java.lang.String pipelineName,
                                           PipelineSession pSession,
                                           java.lang.Object requestContext)
                                    throws PipelineException,
                                           ConfigurationException,
                                           java.rmi.RemoteException,
                                           javax.ejb.EJBException

  Executes the pipeline.

  Parameters:
    `String` - the namespace name.
    `String` - the pipeline name.
    `PipelineSession.` -
    `requestContext` - this gives the current requesting threads context-ID with which this attribute has to be stored in this namespace. If there are multiple requests using this context id the processes can avoid name collisions of attributes as well as it will be guaranteed that the attributes added in this thread are available no matter what the order of execution of the threads are. This context id will be provided to all the processors so that they can pass it along to specific processor types.
  Returns:
    PipelineSession the updated PipelineSession.
  Throws:
    PipelineException. - This just gets propagated if any of the PipelineComponents throws this exception and if the Pipeline is aborted because of this exception.
    ConfigurationException. - This gets thrown if there are any pipeline configuration errors.
    RemoteException. - This is part of the EJB contract.
    javax.ejb.EJBException -

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved